メインコンテンツまでスキップ

Cloud ロールの一覧表示 (V2)

組織またはプロジェクトスコープの Cloud ACL ロールを一覧表示します。

GET/v2/roles
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンには、適切な権限を持つ API key を使用する必要があります。

値の例: Bearer {{TOKEN}}
roleTypestringquery必要

フィルタリングするロールのスコープ。

値の例: org
projectIdstringquery

ロールのフィルタリングに使用するプロジェクト ID。

値の例: proj-xxxxxxxx
currentPageintegerquery

返すページ番号。最初のページは 1 です。

値の例: 1
pageSizeintegerquery

1 ページあたりに返す項目数。

値の例: 10
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/roles?roleType=org" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

成功した結果またはエラーメッセージを返します。

成功レスポンス。

codeinteger必要

レスポンスコード。

値の例: 0
dataobject必要
countinteger必要

一致する項目の総数。

currentPageinteger必要

現在のページ番号。

値の範囲: ≥ 1
pageSizeinteger必要

要求されたページサイズ。

値の範囲: ≥ 1
rolesarray必要

このページで返されるロール。

[]rolesobject必要

Cloud ACL ロール。

roleIdstring必要

ロール ID。

roleNamestring必要

ロールの表示名。

roleTypestring必要

ロールのスコープ。

roleKindstring必要

ロールが定義済みかカスタムかを示します。

projectIdstring

プロジェクトスコープのロールのプロジェクト ID。組織スコープのロールの場合、このフィールドは空の文字列を返します。

descriptionstring

ロールの説明。

policiesarray

ロールに添付されたポリシーステートメント。

[]policiesobject

カスタム Cloud ロールに添付されるポリシーステートメント。

resourceTypestring必要

ステートメントが対象とする第 2 レベルのリソース(例: serving_clustervolumeproject_memberproject_role)。

privilegesarray必要

そのリソースに対するアトミックな特権(例: ["view", "create"])。

[]privilegesstring
(近日追加予定)
resourcesarray

ステートメントが対象とするインスタンス: すべての場合は *、または明示的な ID(ロールのプロジェクトに対して検証されます)。serving_clusteron_demand_clustervolumeserving_cluster_datavolume_datastorage_integrationmodel_provider_integrationkms_integrationdatadog_integration では、ステートメントの唯一の特権が create でない限り必須です。それ以外の場所(on_demand_compute_data を含む)では省略してください — 書き込み時には拒否され、返されることはありません。

[]resourcesstring
(近日追加予定)
scopeobject

将来の使用のために予約されています。このフィールドは省略してください。

失敗レスポンス。

codeinteger必要

レスポンスコード。

messagestring必要

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"count": 2,
"currentPage": 1,
"pageSize": 10,
"roles": [
{
"roleId": "r-onpocppupmikjqmildbpbeouxsrwvy",
"roleName": "Project Admin",
"roleType": "project",
"roleKind": "pre-defined",
"projectId": "",
"description": ""
},
{
"roleId": "r-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"roleName": "Data Reader",
"roleType": "project",
"roleKind": "custom",
"projectId": "proj-xxxxxxxx",
"description": ""
}
]
}
}